/* <copyright                                       */
/* notice="cics-lm-source-asis"                     */
/* pids="5655EXP"                                   */
/* years="2012"                                     */
/* crc="1005280071" >                               */
/* Licensed Materials - Property of IBM             */
/* 	5655EXP                                         */
/* 	(C) Copyright IBM Corp. 2012                    */
/* 	This source material is provided "AS-IS" under the terms and */
/* 	conditions of the IBM Customer Agreement and of the associated */
/* 	Licensed Program Specifications documentation for CICS Transaction */
/* 	Server for z/OS.                                */
/*                                                  */
/* 	The terms and conditions of this license permit users to modify this */
/* 	source material and DO NOT provide for any entitlement to defect */
/* 	correction.                                     */
/* </copyright>                                     */
package $packageName$;

import com.ibm.cics.core.comm.ConnectionException;

public class TelnetOperation {

	private TelnetConnection telnetConnection;
	private String path;
	private String resultString;
	private String commandString;

	TelnetOperation(TelnetConnection aTelnetConnection) {
		telnetConnection = aTelnetConnection;
	}

	public void setPath(String aPath) {	
		path = aPath;
	}

	public String execute(String aCommand) throws ConnectionException {
		
		commandString = aCommand;
		resultString = telnetConnection.execute(aCommand);
		return resultString;
		
	}

	public String resultString() {
		return resultString;
	}
	
	@Override
	public String toString() {
		StringBuffer buffer = new StringBuffer();
		buffer.append(getClass().getName());
		buffer.append("(");
		if(path != null){
			buffer.append(path);
			buffer.append(" - ");
		}
		if(commandString != null){
			buffer.append(commandString);
		}
		buffer.append(")");
		return buffer.toString();
	}

	public String runExecutableFile(String parentPath, String aFileName) throws ConnectionException {
		return telnetConnection.runExecutableFile(parentPath, aFileName);
	}

}
